Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.dv
Class InvalidDatatypeValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.apache.xerces.impl.dv.DatatypeException
                  weblogic.apache.xerces.impl.dv.InvalidDatatypeValueException

All Implemented Interfaces:
  Serializable

Deprecated. please use JDK supplied XML parsers and transformers

    public class InvalidDatatypeValueException

extends DatatypeException

Datatype exception for invalid values.

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.impl.dv.DatatypeException
`args, key`

Constructor Summary
`InvalidDatatypeValueException(String key, Object[] args)` Deprecated. Create a new datatype exception by providing an error code and a list of error message substitution arguments.

Method Summary

Methods inherited from class weblogic.apache.xerces.impl.dv.DatatypeException
`getArgs, getKey, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDatatypeValueException

    public InvalidDatatypeValueException(String key,
                                         Object[] args)

  Deprecated.
  Create a new datatype exception by providing an error code and a list of error message substitution arguments.

  Parameters:
    `key` - error code
    `args` - error arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD